CREATE OR REPLACE VIEW V_NNPRIVEZ AS (
SELECT N.ID_PRIVEZ, N.OBJEKT, N.N_PRIVEZA, N.KATEGORIJA, N.DOLZINA, N.GLOBINA, N.SIRINA, N.VISINA, N.LIMIT, N.ZASEDENO, N.SORT, N.SORT_PRIKAZ, N.DOCKWALK, N.SUBLEASE,
NPO.NAZIV AS NNPOMOL_NAZIV, NPO.INTERNI_OPIS AS NNPOMOL_INTERNI_OPIS, NPO.NNPOMOL_TYPE AS NNPOMOL_TYPE, NPO.NNLOCATION_ID,
-- Last note
(SELECT PB.BELEZKA FROM PRIVEZIBELEZKE PB WHERE PB.ID_PRBELEZKE = (SELECT MAX(PB2.ID_PRBELEZKE) 
FROM PRIVEZIBELEZKE PB2 WHERE PB2.ID_PRIVEZ = N.ID_PRIVEZ AND PB.VELJAVNA = 'Y' AND COALESCE(PB.HIDDEN, 'N') <> 'Y')) AS LAST_NOTE,
-- All notes
(SELECT LISTAGG(PB.BELEZKA,', ') WITHIN GROUP(ORDER BY PB.DATUMKREIRANJA DESC) TYPES 
FROM PRIVEZIBELEZKE PB WHERE PB.ID_PRIVEZ = N.ID_PRIVEZ AND PB.VELJAVNA = 'Y' AND COALESCE(PB.HIDDEN, 'N') <> 'Y') AS NOTES
FROM NNPRIVEZ N
LEFT OUTER JOIN NNPOMOL NPO ON NPO.SIFRA = N.KATEGORIJA 
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1143, SYSDATE, '5.5', 1063, 'VNnprivez notes')
;