create table S_ARTIKLI_DAVEK (
ID_ARTIKEL_DAVEK NUMBER NOT NULL,
ID_ARTIKEL NUMBER NOT NULL,
ID_DAVEK NUMBER,
STOPNJA NUMBER,
CONSTRAINT PK_S_ARTIKLI_DAVEK PRIMARY KEY (ID_ARTIKEL_DAVEK)
)
;

CREATE SEQUENCE S_ARTIKLI_DAVEK_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE TABLE S_OBRACUN_DAVEK(
ID_OBRACUN_DAVEK NUMBER NOT NULL,
ID_OBRACUN NUMBER NOT NULL,
ID_DAVEK NUMBER NOT NULL,
VRSTA VARCHAR2(10 CHAR),
STOPNJA NUMBER,
ZNESEK_OSNOVE NUMBER,
ZNESEK_DAVKA NUMBER,
CONSTRAINT PK_S_OBRACUN_DAVEK PRIMARY KEY (ID_OBRACUN_DAVEK)
)
;

CREATE SEQUENCE S_OBRACUN_DAVEK_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS,POLJE_OPIS1,TIP_OPIS1) 
values 
('S_ARTIKLI_DAVEK','ID_DAVEK','S_DAVEK','ID_DAVEK','I','OPIS','S',null,null)
;

ALTER TABLE S_ARTIKLI_DAVEK ADD VRSTA VARCHAR2(10 CHAR)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1238, SYSDATE, '5.5', 1158, 'complex tax for a store')
;