CREATE OR REPLACE VIEW V_PRICE_LIST AS
select C.STORITEV, S.OPIS, S.KAT AS SKLOP_KAT, S.TIMEKAT AS SKLOP_TIMEKAT, C.KAT, K.OPIS AS OPIS_KAT, C.TIMEKAT, T.OPIS AS OPIS_TIMEKAT, 
C.NETO_DOMACA_VALUTA, C.NETO_TUJA_VALUTA, C.BRUTO_DOMACA_VALUTA, C.BRUTO_TUJA_VALUTA,
C.PLAN_DOMACA_VALUTA, C.PLAN_TUJA_VALUTA, C.NNLOCATION_ID, C.ID_PRICELIST
from M_NNCENMAR C 
JOIN M_NNSTOMAR S ON C.STORITEV=S.SIFRA
LEFT OUTER JOIN M_NNKATEG K ON K.SIFRA_SKLOPA=S.KAT AND K.SIFRA=C.KAT
LEFT OUTER JOIN M_NNSKLOPI SK ON SK.KATEGORIJA=1 AND SK.SIFRA_SKLOPA=K.SIFRA_SKLOPA
LEFT OUTER JOIN M_NNKATEG T ON T.SIFRA_SKLOPA=S.TIMEKAT AND T.SIFRA=C.TIMEKAT
LEFT OUTER JOIN M_NNSKLOPI ST ON ST.KATEGORIJA=2 AND ST.SIFRA_SKLOPA=T.SIFRA_SKLOPA
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2152, SYSDATE, '5.5', 2072, 'V_PRICE_LIST')
;
