CREATE TABLE VIEW_LOG (
ID_VIEW_LOG NUMBER NOT NULL,
VIEW_NAME VARCHAR2(300 CHAR),
VIEW_CAPTION VARCHAR2(500 CHAR),
DIALOG_TYPE VARCHAR2(1 CHAR),
DIALOG_MESSAGE VARCHAR2(500 CHAR),
DIALOG_DECISION VARCHAR2(1 CHAR),
USER_CREATED VARCHAR2(250 CHAR),
DATE_CREATED DATE,
CONSTRAINT VIEW_LOG_PK PRIMARY KEY(ID_VIEW_LOG)
);

ALTER TABLE VIEW_LOG
ADD APP_TYPE VARCHAR2(3 CHAR);

CREATE SEQUENCE VIEW_LOG_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2191, SYSDATE, '5.5', 2111, 'ViewLog')
;

