CREATE OR REPLACE FORCE VIEW V_SALDKONT_DEPOSIT (ID_KUPCA, DATUM, VRSTA_RACUNA, STOAK, OPIS, ZA_PLACILO) AS 
  (
SELECT S.ID_KUPCA, S.DATUM, S.VRSTA_RACUNA, S.STOAK, SA.OPIS, S.ZA_PLACILO
FROM SALDKONT S LEFT OUTER JOIN NNSTOAK SA ON S.STOAK=SA.SIFRA WHERE S.VRSTA_RACUNA IN ('AKA', 'AKM')
union all
SELECT S.ID_KUPCA, S.DATUM, S.VRSTA_RACUNA, S.STOAK, SA.OPIS, (S.ZA_PLACILO*(-1))
FROM SALDKONT S LEFT OUTER JOIN NNSTOAK SA ON S.STOAK=SA.SIFRA WHERE S.VRSTA_RACUNA IN ('REA', 'REM')
union all
SELECT S.ID_KUPCA, Z.DATUM_SPREMEMBE AS DATUM, S.VRSTA_RACUNA, S.STOAK, SA.OPIS, (S.ZA_PLACILO*(-1))
FROM SALDKONT S
JOIN SALDKONT_ZAP Z ON S.ID_SALDKONT=Z.ID_PL_SALDKONT
JOIN SALDKONT S1 ON Z.ID_SALDKONT=S1.ID_SALDKONT
LEFT OUTER JOIN NNSTOAK SA ON S.STOAK=SA.SIFRA
WHERE S.VRSTA_RACUNA IN ('AKA', 'AKM') AND S1.VRSTA_RACUNA NOT IN ('REA', 'REM')
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(572, SYSDATE, '5.5', 492, 'VDeposit');