ALTER TABLE PAYMENT_TRANSACTION
ADD ID_LASTNIKA NUMBER;

CREATE OR REPLACE VIEW V_PAYMENT_TRANSACTION AS (
SELECT PT.ID, PT.ID_SALDKONT, PT.ID_PL_SALDKONT, PT.ID_LASTNIKA, PT.ACCOUNT_FROM, PT.ACCOUNT_TO, PT.AMOUNT, PT.TRANSACTION_DATE, PT.TRANSACTION_MESSAGE, PT.STATUS, PT.PAYMENT_NKNJIZBA, 
KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, PKN.SLO AS PAYMENT_NKNJIZBA_OPIS, PKN.SALDKONT AS PAYMENT_NKNJIZBA_SALDKONT, SI.N_RACUNA AS SALDKONT_INVOICE_N_RACUNA, 
SI.ZA_PLACILO AS SALDKONT_INVOICE_ZA_PLACILO, SI.PORABLJENO AS SALDKONT_INVOICE_PORABLJENO, SP.N_RACUNA AS SALDKONT_PAYMENT_N_RACUNA
FROM PAYMENT_TRANSACTION PT
LEFT OUTER JOIN KUPCI KU ON KU.ID = PT.ID_LASTNIKA
LEFT OUTER JOIN SALDKONT SI ON SI.ID_SALDKONT = PT.ID_SALDKONT
LEFT OUTER JOIN SALDKONT SP ON SP.ID_SALDKONT = PT.ID_PL_SALDKONT
LEFT OUTER JOIN NKNJIZBA PKN ON PKN.NKNJIZBA = PT.PAYMENT_NKNJIZBA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (998, SYSDATE, '5.5', 918, 'Payment lastnik');