ALTER TABLE NNCARDS
ADD CARD_ISSUER VARCHAR2(20 CHAR);

UPDATE NNCARDS
SET CARD_ISSUER = 'VISA'
WHERE CARD_ISSUER IS NULL AND UPPER(OPIS) LIKE 'VISA%';

UPDATE NNCARDS
SET CARD_ISSUER = 'DINERSCLUB'
WHERE CARD_ISSUER IS NULL AND UPPER(OPIS) LIKE 'DINERS%';

UPDATE NNCARDS
SET CARD_ISSUER = 'MASTERCARD'
WHERE CARD_ISSUER IS NULL AND UPPER(OPIS) LIKE 'MASTER%';

UPDATE NNCARDS
SET CARD_ISSUER = 'AMEX'
WHERE CARD_ISSUER IS NULL AND UPPER(OPIS) LIKE 'AMEX%';

UPDATE NNCARDS
SET CARD_ISSUER = 'JCB'
WHERE CARD_ISSUER IS NULL AND UPPER(OPIS) LIKE 'JCB%';

UPDATE NNCARDS
SET CARD_ISSUER = 'DISCOVER'
WHERE CARD_ISSUER IS NULL AND UPPER(OPIS) LIKE 'DISCOVER%';

UPDATE NNCARDS
SET CARD_ISSUER = 'CHINAUNIONPAY'
WHERE CARD_ISSUER IS NULL AND UPPER(OPIS) LIKE 'CHINAUNIONPAY%';

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNCARDS', 'CARD_ISSUER', 'MASTERCARD', 'MASTERCARD', 'MASTERCARD', NULL, 'MASTERCARD');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNCARDS', 'CARD_ISSUER', 'VISA', 'VISA', 'VISA', NULL, 'VISA');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNCARDS', 'CARD_ISSUER', 'DINERSCLUB', 'DINERSCLUB', 'DINERSCLUB', NULL, 'DINERSCLUB');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNCARDS', 'CARD_ISSUER', 'AMEX', 'AMEX', 'AMEX', NULL, 'AMEX');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNCARDS', 'CARD_ISSUER', 'JCB', 'JCB', 'JCB', NULL, 'JCB');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNCARDS', 'CARD_ISSUER', 'DISCOVER', 'DISCOVER', 'DISCOVER', NULL, 'DISCOVER');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNCARDS', 'CARD_ISSUER', 'CHINAUNIONPAY', 'CHINAUNIONPAY', 'CHINAUNIONPAY', NULL, 'CHINAUNIONPAY');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1055, SYSDATE, '5.5', 975, 'Nncard card type');