CREATE TABLE NTIP_REZERVAC (
	SIFRA VARCHAR2(2 CHAR), 
	OPIS VARCHAR2(100 CHAR), 
	INTERNI_OPIS VARCHAR2(100 CHAR), 
	ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y',
	CONSTRAINT PK_NTIP_REZERVAC PRIMARY KEY (SIFRA)
);

INSERT INTO NTIP_REZERVAC (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES ('TR', 'Transit', 'Transit', 'Y');
INSERT INTO NTIP_REZERVAC (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES ('PO', 'Contract', 'Contract', 'Y');
INSERT INTO NTIP_REZERVAC (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES ('CR', 'Crane', 'Crane', 'Y');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NTIP_REZERVAC', 'ACTIVE', 'Y', 'YES', 'YES', 'Y', 'YES');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NTIP_REZERVAC', 'ACTIVE', 'N', 'NO', 'NO', 'Y', 'NO');

ALTER TABLE NTIP_REZERVAC
ADD ALARM VARCHAR2(1 CHAR);

ALTER TABLE NTIP_REZERVAC
ADD EMAIL VARCHAR2(1 CHAR);

ALTER TABLE NTIP_REZERVAC
ADD SMS VARCHAR2(1 CHAR);

INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE, PRIORITY) VALUES 
('RESERVATION_PORTAL', 'Reservation from portal', 'Reservation from portal', 'Y', 3);

INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE, PRIORITY) VALUES 
('ASSISTANCE_PORTAL', 'Assistance from portal', 'Assistance from portal', 'Y', 3);

INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE, PRIORITY) VALUES 
('VESSEL_FINAL_DEPARTURE', 'Vessel final departure', 'Vessel final departure', 'Y', 3);

INSERT INTO NNALARM (SFALARM, OPIS, INTERNI_OPIS) VALUES ('DU', 'DATA UPDATE', 'DATA UPDATE');

INSERT INTO NNALARMMODULE(SFMODULE, OPIS, INTERNI_OPIS) VALUES ('PO', 'PORTAL', 'PORTAL');

INSERT INTO NNTOPIC(SIFRA, OPIS, INTERNI_OPIS) VALUES ('REP', 'Reservation from portal', 'Reservation from portal');

INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('PNR', 'Portal new reservation', 'Portal new reservation', 'Y');

INSERT INTO NNSMS_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('PNR', 'Portal new reservation', 'Portal new reservation', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (944, SYSDATE, '5.5', 864, 'Alarmi rezervac');